<? require('header.php');

if(!(isset($_SESSION["username"]) && isset($_SESSION["password"])))
{
	?>
	<script type="text/javascript">
	location.replace("login.php");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=login.php">
	</noscript>
	<?
	exit();
}
require('konkurs/setup.php');
?>
<div class="menucenter">
<div class='navil'>
<center><b style='font-size:14px;color:green;'>На данный момент доступны для создания следующие конкурсы:</b></center>
<br /> - <b style='color:red;'>Выполнение заданий</b> (Кто больше выполнит заданий, за время проведения конкурса)
<br /> - <b style='color:red;'>Выполнение оплачиваемых кликов</b> (Кто больше выполнит оплачиваемых кликов, за время проведения конкурса)
<br /> - <b style='color:red;'>Привлечение рефералов</b> (Кто больше привлечет рефералов, за время проведения конкурса)
</div>
<div class='navil'>
<table align='center'>
<tr>
<td><a href="referal_kon.php" title="Конкурсы от реферера" style="font-size:12px;padding:5px;">Конкурсы от реферера</a></td>
<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
<td><a href="refer_kon.php" title="Конкурсы для рефералов" style="font-size:12px;padding:5px;">Конкурсы для рефералов</a></td>
</tr>
</table>
</div>
<div class='navil'>
<table align='center'>
<tr>
<td><img src='images/yeskon.png' alt='' align='absmiddle' width='16px' height='16px'></td>
<td>Активный конкурс.</td>
<td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
<td><img src='images/stopkon.png' alt='' align='absmiddle' width='16px' height='16px'></td>
<td>Завершенный конкурс.</td>
<td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
<td><img src='images/infokon.png' alt='' align='absmiddle' width='16px' height='16px'></td>
<td>Не начатый конкурс.</td>
</tr>
</table>
</div>
<br />
<center>
<a href='add_kon_ref.php' class='bittorrenua'>Создать конкурс для рефералов</a>
</center>
<?
if($_GET["idk"]==""){
$refer_kon=mysql_query("SELECT * FROM still_konkurs_ref WHERE idref='".$duser["id"]."' ORDER BY time_start DESC");

if(mysql_num_rows($refer_kon) <= 0){

	echo "<br /><div class=error>Вы не создавали конкурсов</div>";include("footer.php");exit;

}

while ($rk=mysql_fetch_assoc($refer_kon)){
$mest = explode(",",$rk["mesto"]);
$start = date("d.m.Yг. в H:i",$rk["time_start"]);
$end = date("d.m.Yг. в H:i",$rk["time_start"]+($rk["time_end"]*86400));

if($rk["time_start"] > time()){$status_k = "infokon.png";}
elseif($rk["time_start"] < time() and $rk["time_start"]+($rk["time_end"]*86400) > time()){$status_k = "yeskon.png";}
else{$status_k = "stopkon.png";} ;?>
<div class='menukon' style='margin-top:10px;'>
<div class='namekon'>
Старт конкурса:<?=$start?> ; 
Окончание конкурса:<?=$end?>
</div>
<table>
<tr>
<td width='35px' align='left'><img src='images/<?=$status_k?>' alt='' ></td>
<td width='630px'>Конкурс: <a href="referal_kon.php?idk=<?=$rk["id"]?>"><?=$con_kon["vid"][intval($rk["vid"])]?></a> <br />
<span class='serfinfotextkon'>Призы: <?$i_p=0;foreach($mest as $value){$i_p++;?>
<font color='red'><?=$value?></font> руб.; <?}?></span>
</td>
<td><a href="refer_kon.php?idk=<?=$rk["id"]?>"><span class='kon-edit' title="Редактировать описание"></span></a>
<a href="referal_kon.php?idk=<?=$rk["id"]?>"><span class='kon-stats' title="Статистика конкурса"></span></a></td>
</tr>
</table>
</div>

<?}
}elseif($_GET["idk"]!=""){
require_once('bbcode.php');

if(isset($_POST["comment"])){
  $text_sql = bbcod($_POST["comment"], true, true);

  $num_kon=mysql_query("SELECT * FROM still_konkurs_ref WHERE idref='".$duser["id"]."' and id='".intval($_GET["idk"])."'");

  if(mysql_num_rows($num_kon) <= 0){

	echo "<div class=error>Это не Ваш конкурс или такого конкурса нет <br> <a href=\"refer_kon.php\">Вернуться назад</a></div>";include("footer.php");exit;

  }

  mysql_query("UPDATE still_konkurs_ref SET text='".$text_sql."' WHERE idref='".$duser["id"]."' and id='".intval($_GET["idk"])."'");

  echo "<div class=error>Описание отредактировано<br> <a href=\"refer_kon.php\">Вернуться к списку конкурсов</a></div>";include("footer.php");exit;

}

$refer_kon=mysql_query("SELECT * FROM still_konkurs_ref WHERE idref='".$duser["id"]."' and id='".intval($_GET["idk"])."'");

if(mysql_num_rows($refer_kon) <= 0){

	echo "<div class=error>Это не Ваш конкурс или такого конкурса нет <br> <a href=\"refer_kon.php\">Вернуться назад</a></div>";include("footer.php");exit;

}

$rk=mysql_fetch_assoc($refer_kon);
$mest = explode(",",$rk["mesto"]);
$start = date("d.m.Yг. в H:i",$rk["time_start"]);
$end = date("d.m.Yг. в H:i",$rk["time_start"]+($rk["time_end"]*86400));
$text_kon = bbb($rk["text"]);
if($rk["time_start"] > time()){$status_k = "infokon.png";}
elseif($rk["time_start"] < time() and $rk["time_start"]+($rk["time_end"]*86400) > time()){$status_k = "yeskon.png";}
else{$status_k = "stopkon.png";} ;?>
<div class='menukon' style='margin-top:10px;'>
<div class='namekon' style='margin-left:-5px;'>
Старт конкурса:<?=$start?> ; 
Окончание конкурса:<?=$end?>
</div>
<table>
<tr>
<td width='35px' align='left'><img src='images/<?=$status_k?>' alt='' ></td>
<td width='630px'>Конкурс: <a href="referal_kon.php?idk=<?=$rk["id"]?>"><?=$con_kon["vid"][intval($rk["vid"])]?></a> <br />
<span class='serfinfotextkon'>Призы: <?$i_p=0;foreach($mest as $value){$i_p++;?>
<font color='red'><?=$value?></font> руб &nbsp;<small>|</small>&nbsp;<?}?></span>
</td>
<td><a href="refer_kon.php?idk=<?=$rk["id"]?>"><span class='kon-edit' title="Редактировать описание"></span></a>
<a href="referal_kon.php?idk=<?=$rk["id"]?>"><span class='kon-stats' title="Статистика конкурса"></span></a></td>
</tr>
</table>
</div>
<script type="text/javascript" src="js/bbcod.js"></script>
<form id="comment" method="POST" action="" accept-charset="Windows-1251">
<?require('konkurs/form.php');?>
<center>
<input type="submit" class='ok_wm' value="Сохранить">
</center>
</form>
<?}?>
</div>
<? require 'footer.php'; ?>